package jp.co.kpscorp.meema.test;


/**
 *<strong> サンプル商品ビーン。</strong>
 *<p>
 * 詳細は　http://meema.sourceforge.jp を参照してください。
 * @author katsusuke
 *
 */
public class Shohin {

	/** identifier field */
	private String shohinCd;

	/** nullable persistent field */
	private String shohinName;

	/** nullable persistent field */
	private Double tanka;

	/** nullable persistent field */
	private String categoryCd;

	/** nullable persistent field */
	private Integer updcnt;

	/** persistent field */
	private ShohinMaker shohinmaker;

	/** full constructor */
	public Shohin(String shohinCd, String shohinName, Double tanka,
			String categoryCd, Integer updcnt, ShohinMaker shohinmaker) {
		this.shohinCd = shohinCd;
		this.shohinName = shohinName;
		this.tanka = tanka;
		this.categoryCd = categoryCd;
		this.updcnt = updcnt;
		this.shohinmaker = shohinmaker;
	}

	/** default constructor */
	public Shohin() {
	}

	/** minimal constructor */
	public Shohin(String shohinCd, ShohinMaker shohinmaker) {
		this.shohinCd = shohinCd;
		this.shohinmaker = shohinmaker;
	}

	public String getShohinCd() {
		return this.shohinCd;
	}

	public void setShohinCd(String shohinCd) {
		this.shohinCd = shohinCd;
	}

	public String getShohinName() {
		return this.shohinName;
	}

	public void setShohinName(String shohinName) {
		this.shohinName = shohinName;
	}

	public Double getTanka() {
		return this.tanka;
	}

	public void setTanka(Double tanka) {
		this.tanka = tanka;
	}

	public String getCategoryCd() {
		return this.categoryCd;
	}

	public void setCategoryCd(String categoryCd) {
		this.categoryCd = categoryCd;
	}

	public Integer getUpdcnt() {
		return this.updcnt;
	}

	public void setUpdcnt(Integer updcnt) {
		this.updcnt = updcnt;
	}

	public ShohinMaker getShohinmaker() {
		return this.shohinmaker;
	}

	public void setShohinmaker(ShohinMaker shohinmaker) {
		this.shohinmaker = shohinmaker;
	}

}
